POST /whatsapp/business-profile/display-name

Submit a display name change for Meta review

POST
/whatsapp/business-profile/display-name

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

displayName*string

Response Body

{success, message, displayName}

application/json
  1. response
success?boolean
message?string
displayName?
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/business-profile/display-name' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "displayName": "string"}'
Example Response
{  "success": true,  "message": "string",  "displayName": {    "name": "string",    "status": "string"  }}